## libopengl-ruby 0.32f

=== Makefile ===
SHELL = /bin/sh
srcdir = .
VPATH = $(srcdir)

all: glut.so opengl.so

opengl.so: rbogl.c ogl.c glu.c rbogl.h
	@echo Now Making opengl extend module
	@$(MAKE) -f Makefile.ogl

glut.so: glut.c
	@echo Now Making glut extend module
	@$(MAKE) -f Makefile.glut

clean:
	@$(MAKE) -f Makefile.ogl clean
	@$(MAKE) -f Makefile.glut clean

distclean:
	@$(MAKE) -f Makefile.ogl distclean
	@$(MAKE) -f Makefile.glut distclean

install: glut.so opengl.so
	@$(MAKE) -f Makefile.ogl install
	@$(MAKE) -f Makefile.glut install

site-install: glut.so opengl.so
	@$(MAKE) -f Makefile.ogl site-install
	@$(MAKE) -f Makefile.glut site-install

## libopengl-ruby 0.60.1

=== debian/changelog ===
libopengl-ruby (0.60.1-1) unstable; urgency=low

  * New upstream release
  * debian/control
     + added DMUA flag.
     + added myself to uploaders.
     + ported to ruby1.9.1.
     + remove quilt as BD.
  * debian/copyright
     + added Debian's specific copyright information
     and updated copyright information.
  * debian/patches
     + added patch for adding ruby version's C flags.
     + added patch for backward compatibility.
  * debian/rules
     + removed patchsys-quilt.mk, not required now.
     + removed ruby-extconf-rb.mk and added ruby-setup-rb.mk.
   * debian/watch
     + updated source location.

 -- Deepak Tripathi <apenguinlinux@gmail.com>  Tue, 08 Jun 2010 17:28:13 +0530

libopengl-ruby (0.32g-1) unstable; urgency=low

  * New upstream release.
  * Maintenance transfered to the Debian/Ruby Extras team. 
  * debian/control:
    - Set the maintainer to the team and myself as uploader.
    - Changed the section to ruby.
    - Added homepage and VCS fields. 
    - Added libopengl-ruby{1.8,1.9.1} packages, transformed libopengl-ruby into
      a dummy package.
    - Bumped the standards version to 3.8.4.
    - Dropped the Ruby 1.9.1 package; upstream is not ready yet.
    - Added ${misc:Depends} to libopengl-ruby and libopengl-ruby1.8.
    - Changed xlibmesa-gl-dev build depend into libgl1-mesa-dev.
    - Added build depend on quilt.
  * debian/rules:
    - Rewritted to use CDBS and ruby-pkg-tools.
  * debian/libopengl-ruby.docs, debian/libopengl.examples: Added!
  * debian/source/format: Switched the source format to 3.0 (quilt).

 -- Paul van Tilburg <paulvt@debian.org>  Sat, 10 Apr 2010 12:30:45 +0200

libopengl-ruby (0.32f-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on freeglut3-dev instead of libglut-dev. Closes: #545632.

 -- Matt Kraai <kraai@debian.org>  Thu, 22 Oct 2009 22:18:14 -0700

libopengl-ruby (0.32f-2) unstable; urgency=low

  * Apply patch from Daniel Brockman to fix typo in the API. Closes: #320741.

 -- Dafydd Harries <daf@debian.org>  Tue,  9 Aug 2005 12:46:50 +0100

libopengl-ruby (0.32f-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Update Standards-Version to 3.6.1. No changes necessary.
    - Improve the package description.
    - Specify ">= 1.8" for Ruby build-dependency.
    - Specify xlibmesa-gl-dev as the default for the build-dependency on the
      libgl-dev virtual package.
  * Add a watch file.
  * Make example files non-executable.

 -- Dafydd Harries <daf@muse.19inch.net>  Mon,  2 Aug 2004 01:15:35 +0100

libopengl-ruby (0.32d-2) unstable; urgency=low

  * Remove CVS directories from upstream tarball.

 -- Dafydd Harries <daf@muse.19inch.net>  Wed,  3 Mar 2004 18:28:54 +0000

libopengl-ruby (0.32d-1) unstable; urgency=low

  * New upstream release.
  * Persuaded upstream to include a copyright notice. My understanding is that
    the licence is DFSG-free.
  * debian/copyright: Updated to reflect the new COPYRIGHT file.
  * debian/control: Add build-depends on ruby, ruby1.8-dev
    (in order to be able to run extconf.rb), libgl-dev and libglut-dev

 -- Dafydd Harries <daf@muse.19inch.net>  Tue,  2 Mar 2004 18:21:07 +0000

libopengl-ruby (0.32c-1) unstable; urgency=low

  * Initial Debianization.

 -- Dafydd Harries <daf@muse.19inch.net>  Tue, 18 Nov 2003 20:50:57 +0000

=== debian/control ===
Source: libopengl-ruby
Section: ruby
Priority: optional
Maintainer: Paul van Tilburg <paulvt@debian.org>
DM-Upload-Allowed: yes
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>,
 Deepak Tripathi <apenguinlinux@gmail.com>
Build-Depends: debhelper (>> 5.0.0), cdbs, ruby-pkg-tools, ruby1.8, ruby1.8-dev,
	       ruby1.9.1, ruby1.9.1-dev, libgl1-mesa-dev, freeglut3-dev
Standards-Version: 3.8.4
Homepage: http://ruby-opengl.rubyforge.org/
Vcs-Svn: svn://svn.debian.org/svn/pkg-ruby-extras/trunk/libopengl-ruby/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-ruby-extras/trunk/libopengl-ruby/

Package: libopengl-ruby
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenGL binding for Ruby
 This library allows program written in Ruby to use the OpenGL API for
 graphics.
 .
 This is a dummy package to install the OpenGL library bindings for
 the default version of Ruby.

Package: libopengl-ruby1.8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenGL binding for Ruby 1.8
 This library allows program written in Ruby to use the OpenGL API for
 graphics.
 .
 This package is for ruby1.8

Package: libopengl-ruby1.9.1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenGL binding for Ruby 1.9.1
 This library allows program written in Ruby to use the OpenGL API for
 graphics.
 .
 This package is for ruby1.9.1

=== debian/rules ===
#!/usr/bin/make -f
#
# CDBS file to build the Ruby/OpenGL package.

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/ruby-pkg-tools/1/class/ruby-extconf-rb.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/ruby-pkg-tools/1/class/ruby-setup-rb.mk

binary-install/libopengl-ruby::
	find debian/$(cdbs_curpkg)/usr/share/doc/libopengl-ruby/examples \
	  -type f -exec chmod a-x {} \;

=== debian/watch ===
version=3
http://ruby-opengl.rubyforge.org/dist/ruby-opengl-(.*)-ubuntu\.tar\.gz
